classification
Title: configure should use PKG_PROG_PKG_CONFIG
Type: compile error Stage: resolved
Components: Build Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, BreamoreBoy, doko, python-dev, tshepang, vapier
Priority: normal Keywords:

Created on 2012-07-30 17:52 by vapier, last changed 2014-12-15 05:03 by python-dev. This issue is now closed.

Messages (3)
msg166915 - (view) Author: Mike Frysinger (vapier) Date: 2012-07-30 17:52
the current configure script open codes the pkg-config look up:
AC_PATH_TOOL([PKG_CONFIG], [pkg-config])

rather than using the standard macro from pkg-config's own pkg.m4:
PKG_PROG_PKG_CONFIG

this causes the build env to not operate exactly like other pkg-config autoconf builds :(

simple fix:
-AC_PATH_TOOL([PKG_CONFIG], [pkg-config])
+PKG_PROG_PKG_CONFIG
msg220631 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-15 13:11
I've guessed at the versions impacted, assuming of course that the change proposed inline in msg166915 is acceptable.  I'm sorry but I don't know who is best qualified to put on the nosy list for this issue.
msg232647 - (view) Author: Roundup Robot (python-dev) Date: 2014-12-15 05:03
New changeset 54939f3c1e17 by Benjamin Peterson in branch '2.7':
use autoconf macro to check for pkg-config (closes #15506)
https://hg.python.org/cpython/rev/54939f3c1e17

New changeset 76df5870757a by Benjamin Peterson in branch '3.4':
use autoconf macro to check for pkg-config (closes #15506)
https://hg.python.org/cpython/rev/76df5870757a

New changeset 5e473a7a01f3 by Benjamin Peterson in branch 'default':
merge 3.4 (#15506)
https://hg.python.org/cpython/rev/5e473a7a01f3
History
Date User Action Args
2014-12-15 05:03:25python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg232647

resolution: fixed
stage: resolved
2014-06-15 20:35:53ned.deilysetnosy: + doko
2014-06-15 13:11:59BreamoreBoysetnosy: + BreamoreBoy

messages: + msg220631
versions: + Python 2.7, Python 3.4, Python 3.5
2012-08-06 08:42:46tshepangsetnosy: + tshepang
2012-07-30 18:29:15Arfreversetnosy: + Arfrever
2012-07-30 17:52:20vapiercreate